#include once "window9.bi"

Sub ResizeWindow(ByVal WindowID As HWND, _
				ByVal x As long, ByVal y As Long, _
				ByVal Width_ As Long, ByVal Height_ As long) Export
	Dim As RECT  FWRECT
	GetWindowRect(WindowID,@FWRECT)
	If x=FB_ignore Then
		x=FWRECT.left
	EndIf
	If y=FB_ignore Then
		y=FWRECT.top
	EndIf
	If Width_=FB_ignore Then
		Width_=FWRECT.right-FWRECT.left
	EndIf
	If Height_=FB_ignore Then
		Height_=FWRECT.bottom-FWRECT.top
	EndIf
	MoveWindow(WindowID ,x,y,Width_,Height_,TRUE)
End Sub
